@import 'partials/colours';
@import 'partials/dark_theme';

* {
    box-sizing: border-box;
}
*:before,
*:after {
    box-sizing: border-box;
}
html,
body {
    background-color: $sand;
    height: 100%;
    position: relative;
}
a {
    color: $blue;

    &:hover {
        color: darken($blue, 20%);
    }

    i {
        color: $blue !important;
    }
}
.container {
    background-color: $white;
}
.container-gray {
    background-color: $sand;
    padding: 0;
}
.main-container {
    min-height: 100vh;
    overflow: hidden;
    display: block;
    position: relative;
    padding-bottom: 180px;
}
.page-footer {
    background-color: $white !important;
    position: absolute;
    bottom: 0;
    width: 100%;
}
main .page-content {
    margin-top: 40px;
    margin-bottom: 20px;
}
.navbar-brand img {
    margin-right: 16px;
}
.br {
    border-radius: .25rem;
}
.card {
    border-color: $sand !important;
}
.card-body {
    i {
        color: $blue !important;
    }
}
.btn-outline-primary {
    color: $blue;
    border-color: $blue;
}
.page-item {
    a {
        color: $blue;
    }

    &.active {
        a {
            background-color: $blue !important;
            border-color: darken($blue, 10%) !important;
        }
    }
}
code {
    color: $code;
    font-weight: bold;
}
.float {
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.15) !important;
    border-radius: 50%;
    position: fixed;
    bottom: 10px;
    right: 10px;
    cursor: pointer;
    width: 30px;
    height: 30px;
    margin: 0;
    padding: 0;
    padding-top: 2px;
    z-index: 1000;
}
table {
    width: 85%;
    margin: 20px auto;
    box-shadow: 0 .5rem 1rem rgba(0,0,0,.25);

    thead {
        background-color: $blue;
        color: $white;
        text-align: center;

        th {
            border-color: darken($blue, 20%);
            border-width: 1px;
            padding: 7px 0;
            font-size: 1.1rem;
        }
    }

    tbody {
        tr {
            &:nth-child(odd) {
                background-color: lighten($sand, 5%);
            }
        }
    }

    td {
        text-align: center;
        border-color: darken($blue, 20%);
        border-width: 1px;
        padding: 5px;

        &:first-child {
            padding-left: 10px;
            text-align: left;
        }
    }
}
@media screen and (min-width: 990px) {
    .float {
        clear: both;
        top: 12px;
    }
    .col-lg-3 {
        width: 30% !important;
    }
}
